## wifipumpkin3 1.1.5

=== requirements.txt ===
netifaces>=0.10.9
dhcplib==0.1.1
tabulate>=0.8.5
urwid==2.1.2
termcolor>=1.1.0
twisted>=19.7.0
PyQt5>=5.14
PyQt5-sip
pyOpenSSL==19.0.0
dnslib==0.9.17
loguru>=0.4.0
scapy>=2.4.4
isc_dhcp_leases>=0.9.1
dnspython==1.16.0
Flask>=2.0
requests>=2.18.4
beautifulsoup4>=4.9.1
PyJWT==2.1.0
Flask-RESTful>=0.3.9
aiofiles

=== debian/changelog ===
wifipumpkin3 (1.1.5-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:40:27 +0200

wifipumpkin3 (1.1.5-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.5
  * Refresh patches
  * Add allow-stderr in autopkgtest
  * Add missing build-dep python3-aiofiles

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Feb 2023 13:51:14 +0100

wifipumpkin3 (1.1.4-0kali1) kali-dev; urgency=medium

  * Fix debian/watch
  * New upstream version 1.1.4
  * Refresh patches
  * Replase python3-flask-restx by python3-flask-restful in build-dep
  * Bump Standards-Version to 4.6.1 (no change)
  * Add missing python3-distutils to build-dep and deps

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Sep 2022 11:30:00 +0200

wifipumpkin3 (1.1.3-R3-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.3-R3
  * Refresh patches
  * Update debian/copyright
  * Improve installation for Kali
  * Update lintian-overrides
  * Remove useless patch Copy-config-files-in-user-dir-if-needed.patch
  * Add a postinst to fix the upgrade

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Jul 2022 17:19:31 +0200

wifipumpkin3 (1.1.2R2-0kali3) kali-dev; urgency=medium

  * Add debian/source/lintian-overrides
  * Disable update option
  * Add information about different commands
  * Add missing deps + wrap and sort

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Apr 2022 16:32:41 +0200

wifipumpkin3 (1.1.2R2-0kali2) kali-dev; urgency=medium

  * wrap-and-sort
  * Fix installation: add missing directories and install them in user dir
  * Add superificial autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 01 Apr 2022 15:54:04 +0200

wifipumpkin3 (1.1.2R2-0kali1) kali-dev; urgency=medium

  * Initial release (see 3512)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Mar 2022 17:51:27 +0100

=== debian/control ===
Source: wifipumpkin3
Section: net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
	       python3-aiofiles,
               python3-dhcplib,
	       python3-distutils,
               python3-dnslib,
               python3-flask,
	       python3-flask-restful,
               python3-isc-dhcp-leases,
               python3-jwt,
               python3-loguru,
               python3-netaddr,
               python3-netifaces,
               python3-pyqt5,
               python3-requests,
               python3-scapy,
               python3-setuptools,
               python3-tabulate,
               python3-urwid
Standards-Version: 4.6.1
Homepage: https://github.com/P0cL4bs/wifipumpkin3
Rules-Requires-Root: no

Package: wifipumpkin3
Architecture: all
Depends: hostapd,
         iptables,
         iw,
         net-tools,
         python3-distutils,
         wireless-tools,
         ${misc:Depends},
         ${python3:Depends}
Description: Powerful framework for rogue access point attack
 This package contains a powerful framework for rogue access point attack,
 written in Python, that allow and offer to security researchers, red teamers
 and reverse engineers to mount a wireless network to conduct a
 man-in-the-middle attack.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=wifipumpkin3

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: wifipumpkin3 -h
Restrictions: superficial, needs-root, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v(\d.*)\.tar\.gz%wifipumpkin3-$1.tar.gz%" \
   https://github.com/P0cL4bs/wifipumpkin3/tags \
   (?:.*?/)?v?(\d.*)\.tar\.gz debian uupdate

## wifipumpkin3 1.1.7

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 twisted>=19.7.0
 PyQt5>=5.14
 PyQt5-sip
-pyOpenSSL==19.0.0
+pyOpenSSL>=22.1.0
 dnslib==0.9.17
 loguru>=0.4.0
 scapy>=2.4.4
@@ -18,3 +18,4 @@
 PyJWT==2.1.0
 Flask-RESTful>=0.3.9
 aiofiles
+ping3

=== debian/changelog ===
wifipumpkin3 (1.1.7-0kali3) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Remove use of python3-distutils (dropped from Python 3.12)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 22 Jul 2024 22:24:14 +0200

wifipumpkin3 (1.1.7-0kali2) kali-dev; urgency=medium

  * Fix phishkin3

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Nov 2023 16:25:32 +0100

wifipumpkin3 (1.1.7-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1.7

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Nov 2023 16:25:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: wifipumpkin3
 Section: net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
 	       python3-aiofiles,
                python3-dhcplib,
-	       python3-distutils,
                python3-dnslib,
                python3-flask,
 	       python3-flask-restful,
@@ -17,6 +16,7 @@
                python3-loguru,
                python3-netaddr,
                python3-netifaces,
+	       python3-ping3,
                python3-pyqt5,
                python3-requests,
                python3-scapy,
@@ -25,6 +25,8 @@
                python3-urwid
 Standards-Version: 4.6.1
 Homepage: https://github.com/P0cL4bs/wifipumpkin3
+Vcs-Browser: https://gitlab.com/kalilinux/packages/wifipumpkin3
+Vcs-Git: https://gitlab.com/kalilinux/packages/wifipumpkin3.git
 Rules-Requires-Root: no
 
 Package: wifipumpkin3
@@ -33,7 +35,6 @@
          iptables,
          iw,
          net-tools,
-         python3-distutils,
          wireless-tools,
          ${misc:Depends},
          ${python3:Depends}
